summaryrefslogtreecommitdiff
path: root/bin/menuscripts/mpower
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2024-12-29 07:09:24 +0100
committerRaymaekers Luca <raymaekers.luca@gmail.com>2024-12-29 07:09:24 +0100
commitd79faa9e1b36e99dcf8925fc3271f32950f00309 (patch)
tree959c4892bba99e23e6fa3893474201b9a2e6e768 /bin/menuscripts/mpower
parent0b76d36b1b94d631616f165073b3284b277a74c6 (diff)
checkpoint
Diffstat (limited to 'bin/menuscripts/mpower')
-rwxr-xr-xbin/menuscripts/mpower9
1 files changed, 7 insertions, 2 deletions
diff --git a/bin/menuscripts/mpower b/bin/menuscripts/mpower
index 51b8e1d..b4b8640 100755
--- a/bin/menuscripts/mpower
+++ b/bin/menuscripts/mpower
@@ -9,5 +9,10 @@ hibernate
EOF
)"
-[ "$choice" = "firmware" ] && systemctl reboot --firmware-setup
-[ "$choice" ] && systemctl "$choice"
+case "$choice" in
+ "suspend") doas /usr/sbin/zzz ;;
+ "poweroff") doas /usr/sbin/poweroff ;;
+ "reboot"|"firmware") doas /usr/sbin/reboot ;;
+ "") exit 1 ;;
+ *) ;;
+esac